import request from '@/utils/request'

// 查询电力消耗预测列表
export function listForecastConsume(query) {
  return request({
    url: '/ems/forecastConsume/list',
    method: 'get',
    params: query
  })
}

// 查询电力消耗预测详细
export function getForecastConsume(id) {
  return request({
    url: '/ems/forecastConsume/' + id,
    method: 'get'
  })
}

// 新增电力消耗预测
export function addForecastConsume(data) {
  return request({
    url: '/ems/forecastConsume',
    method: 'post',
    data: data
  })
}

// 修改电力消耗预测
export function updateForecastConsume(data) {
  return request({
    url: '/ems/forecastConsume',
    method: 'put',
    data: data
  })
}

// 删除电力消耗预测
export function delForecastConsume(id) {
  return request({
    url: '/ems/forecastConsume/' + id,
    method: 'delete'
  })
}
